Subject: Re: [patch 5/5] d80211: add ioctl to stop data frame tx

From: Johannes Berg <[email-masked]>
Date: Tue, 29 Aug 2006 09:30:57 +0200

Hi Elliot,

Thanks for the explanation.

> Radar is initially detected by the low-level radio driver.  Userspace
> gets notified of radar via calls to ieee80211_radar_status, which
> generates a "fake" management frame with a struct ieee80211_radar_info
> in it.  Userspace is then responsible for handling the resultant
> activities, such as stopping transmission on that channel, selecting
> another channel, sending out channel switch announcements, changing
> channels, and remembering to block use of the old channel for the
> required time.

I think that would warrant a new netlink multicast group and doing over
nl80211 to start with ;) Inserting fake management frames into the mgt
interface sounds pretty weird to me.

johannes